# Armbian u-boot install script for linux-u-boot-bananapif3-current 2022.10-Sf95a-Pecc9-Hd13a-V00f2-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-current-bananapif3
write_uboot_platform () 
{ 
    local device=${2};
    if [ -b ${2}boot0 ]; then
        echo "eMMC";
        DEVICE=`ls /dev/mmcblk*boot0 | sed 's/^.....//'`;
        echo 0 > /sys/block/${DEVICE}/force_ro;
        sleep .50;
        dd if="$1/bootinfo_emmc.bin" of="/dev/${DEVICE}" bs=512 conv=notrunc;
        dd if="$1/FSBL.bin" of="/dev/${DEVICE}" bs=512 seek=1 conv=notrunc;
        dd if="$1/FSBL.bin" of="/dev/${DEVICE}" bs=512 seek=512 conv=notrunc;
    else
        echo "SD card";
        dd if="$1/bootinfo_emmc.bin" of=$2 bs=512 conv=notrunc;
        dd if="$1/FSBL.bin" of="$2" bs=512 seek=1 conv=notrunc;
        dd if="$1/FSBL.bin" of="$2" bs=512 seek=512 conv=notrunc;
    fi;
    dd if="$1/fw_dynamic.itb" of="$2" bs=512 seek=1280 conv=notrunc;
    dd if="$1/u-boot.itb" of="$2" bs=512 seek=2048 conv=notrunc;
    sync
}


